<?php
/**
*
* @author Steve(c) @ www.phpbbandbbcodes.com
* @package umil
* @copyright (c) 2008 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}
/*
* The language file which will be included when installing
*/
$language_file = 'mods/install_support_form';

// The name of the mod to be displayed during installation.
$mod_name = 'SUPPORT_FORM';

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/
$version_config_name = 'support_form_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(

    // Version 1.0.0
        '1.0.0'   => array(
	
    // Permission settings
        'permission_add' => array(
            array('u_support_form'),
        ), 
		
    // Lets add a new column to the topics and forums table
        'table_column_add' => array(
            array('phpbb_topics', 'support_form_one', 		array('VCHAR_UNI', '')),  
			array('phpbb_topics', 'support_form_two', 		array('VCHAR_UNI', '')),
            array('phpbb_topics', 'support_form_three', 	array('VCHAR_UNI', '')),
			array('phpbb_topics', 'support_form_four', 		array('VCHAR_UNI', '')),
  			array('phpbb_topics', 'support_form_five', 		array('VCHAR_UNI', '')),
			// - Named fields
            array('phpbb_forums', 'support_colour', 		array('VCHAR_UNI:6', '')), 			
            array('phpbb_forums', 'forum_support_one', 		array('VCHAR_UNI', '')),  
			array('phpbb_forums', 'forum_support_two', 		array('VCHAR_UNI', '')),
            array('phpbb_forums', 'forum_support_three', 	array('VCHAR_UNI', '')),
			array('phpbb_forums', 'forum_support_four', 	array('VCHAR_UNI', '')),
  			array('phpbb_forums', 'forum_support_five', 	array('VCHAR_UNI', '')),	
			// - Explain named fields
			array('phpbb_forums', 'forum_support_one_exp', 		array('VCHAR_UNI', '')),  
			array('phpbb_forums', 'forum_support_two_exp', 		array('VCHAR_UNI', '')),
            array('phpbb_forums', 'forum_support_three_exp', 	array('VCHAR_UNI', '')),
			array('phpbb_forums', 'forum_support_four_exp', 	array('VCHAR_UNI', '')),
  			array('phpbb_forums', 'forum_support_five_exp', 	array('VCHAR_UNI', '')),
			// - Enable and require
            array('phpbb_forums', 'enable_support_form', 		array('BOOL', 0)),			
            array('phpbb_forums', 'required_support_one', 		array('BOOL', 0)),  
			array('phpbb_forums', 'required_support_two', 		array('BOOL', 0)),
            array('phpbb_forums', 'required_support_three', 	array('BOOL', 0)),
			array('phpbb_forums', 'required_support_four', 		array('BOOL', 0)),
  			array('phpbb_forums', 'required_support_five', 		array('BOOL', 0)),			
        ), 
	
	// Purge and refresh!
		'cache_purge' => array('', 'template'),      	
    ),
);    

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>